GET /api/v3/savings/meter/{meterId}/bill/{billId}/daily

Get cost avoidance savings by day for a meter and bill

GetSavingsMeterBillDailyV3 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId The meter for which to retrieve data integer (int32) Required
billId The bill for which to retrieve data integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

SavingsMeterBillDailyResponse
Property Description Type
billId Unique bill identifier integer (int32)
calendarPeriod Calendar period Number (e.g. 1) integer (int32)
calendarYear Calendar year (e.g. 2019) integer (int32)
daily Cost avoidance savings for this meter, day by day SavingsDailyData[]
SavingsDailyData properties
Property Description Type
areaAdjustment Indicates whether or not an Area Adjustment was in effect on this day boolean
averageUnitCost Average unit cost number (double)
baselineCoolingDegreeDays Number of cooling degrees used on this day in the baseline integer (int32)
baselineHeatingDegreeDays Number of heating degrees used on this day in the baseline integer (int32)
baselineNonWeatherNativeUse Baseline non-weather Use in native units number (double)
baselineWeatherNativeUse Baseline weather use in native units number (double)
batccCost Baseline Adjusted to Current Conditions (BATCC) cost number (double)
batccNonWeatherNativeUse Baseline Adjusted to Current Conditions (BATCC) non-weather use in native units number (double)
batccWeatherNativeUse Baseline Adjusted to Current Conditions (BATCC) weather use in native units number (double)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
currentCoolingDegreeDays Number of cooling degrees used on this day integer (int32)
currentHeatingDegreeDays Number of heating degrees used on this day integer (int32)
date Daily savings date string (date-time)
messages List of Processor Messages for this day Message[]
Message properties
Property Description Type
message Cost Avoidance message string
messageType Cost Avoidance message type string
otherAdjustment Indicates whether or not Other Adjustment was in effect on this day boolean
specialAdjustment Indicates whether or not a Special Adjustment was in effect on this day boolean
weatherAdjustment Indicates whether or not Weather Adjustment was in effect on this day boolean
fiscalPeriod Fiscal period number integer (int32)
fiscalYear Fiscal year integer (int32)
meterCode Meter Code string
meterId Unique meter identifier integer (int32)
meterInfo Meter Name string
nativeUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
periodName Calendar Period Name (e.g. Jan) string
Example Response application/json
{  "billId": 1,  "calendarPeriod": 1,  "calendarYear": 1,  "daily": [
    {    "areaAdjustment": false,    "averageUnitCost": 1.0,    "baselineCoolingDegreeDays": 1,    "baselineHeatingDegreeDays": 1,    "baselineNonWeatherNativeUse": 1.0,    "baselineWeatherNativeUse": 1.0,    "batccCost": 1.0,    "batccNonWeatherNativeUse": 1.0,    "batccWeatherNativeUse": 1.0,    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "currentCoolingDegreeDays": 1,    "currentHeatingDegreeDays": 1,    "date": "2026-03-30",    "messages": [
      {      "message": "string",      "messageType": "string"
    }
    ],    "otherAdjustment": false,    "specialAdjustment": false,    "weatherAdjustment": false
  }
  ],  "fiscalPeriod": 1,  "fiscalYear": 1,  "meterCode": "string",  "meterId": 1,  "meterInfo": "string",  "nativeUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "periodName": "string"
}